API REFERENCEv1
List Short URLs
GET
https://api2.protexting.com/v1/shorturl/index⌘
Pass your server-side token as access_token. Replace sample values with your own. Authentication & setup →
List Short URLs
Request parameters:
| Parameter | Description |
|---|---|
| number | String, valid phone number |
| group_campaign_id | Integer, Sent Group Campaign Id see here » |
| from_date_time | DateTime |
| to_date_time | DateTime |
Response parameters:
| Parameter | Description |
|---|---|
| Id | Integer |
| Title | String |
| Short_Url | String |
| Original_Url | String |
| Date_Created | DateTime, The date when the record was created, string. |
| Track_Numbers | Integer, see here » |
Example Request:
Request example
# Set PROTEXTING_ACCESS_TOKEN in your environmentcurl --request GET \ "https://api2.protexting.com/v1/shorturl/index?access_token=${PROTEXTING_ACCESS_TOKEN:?Set your API token}" \ --header 'Accept: application/json'Example Response Headers:
Response headers example
Status Code: 200 OK Cache-Control: no-store, no-cache, must-revalidate, post-check=0, pre-check=0 Connection: Keep-Alive Content-Type: application/xml; charset=utf-8 Keep-Alive: timeout=5, max=100 Link: <https://api2.protexting.com/v1/shorturl/index?access_token=your_access_token&page=1>; rel=self Pragma: no-cache Transfer-Encoding: chunked X-Pagination-Current-Page: 1 X-Pagination-Page-Count: 1 X-Pagination-Per-Page: 100 X-Pagination-Total-Count: 1 X-Powered-By: PHP/5.6.2 X-Rate-Limit-Limit: 60 X-Rate-Limit-Remaining: 59 X-Rate-Limit-Reset: 0Example Response Body:
JSON response example
[
{
"Id": 1,
"Title": "My Short URL",
"Short_Url": "https://ptxt.io/", "Original_Url": "https://www.protexting.com/developers/docs",
"DateCreaed": "2019-01-01 12:00:00",
"Track_Numbers": 1
},
.....
]XML response example
<response> <item> <Id>1</Id> <Title>My Short URL</Title> <Short_Url>https://ptxt.io/</Short_Url> <Original_Url>https://www.protexting.com/developers/docs</Original_Url> <DateCreaed>2019-01-01 12:00:00</DateCreaed> <DateCreated>2015-01-20 10:21:29</DateCreated> <Track_Numbers>1</Track_Numbers> </item> ...</response>HTTP Status Codes:
The standard HTTP Status Codes are used. More information is available here: http://www.iana.org/assignments/http-status-codes/http-status-codes.xhtml
Track Numbers:
| Track_Numbers | Description |
|---|---|
| 1 | Track Numbers is Active |
| 0 | Track Numbers is Inactive |
Reference from the ProTexting documentation catalog. Code examples are illustrative; this page does not execute API requests.